<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_objects.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_objects.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Internal header file defining max number of supported for each object. </p>

<p><a href="tivx__objects_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__object__t.html">tivx_object_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure to hold all framework objects.  <a href="structtivx__object__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gad21395292e711903b30d20a0ebfba881">TIVX_META_FORMAT_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number meta format objects supported.  <a href="group__group__tivx__obj__cfg.html#gad21395292e711903b30d20a0ebfba881"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gadbbf14b9b8f29677dcf0cdd501e40d88">TIVX_CONTEXT_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(1u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number context objects supported.  <a href="group__group__tivx__obj__cfg.html#gadbbf14b9b8f29677dcf0cdd501e40d88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gaefecd88b6c4917eda1e8a40b08955912">TIVX_GRAPH_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number graph objects supported.  <a href="group__group__tivx__obj__cfg.html#gaefecd88b6c4917eda1e8a40b08955912"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gacafdc8b7549448d5ccd0c780c6680f5b">TIVX_NODE_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number node objects supported.  <a href="group__group__tivx__obj__cfg.html#gacafdc8b7549448d5ccd0c780c6680f5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gab6578bf00139abafd71b1efe04bfe904">TIVX_KERNEL_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(64u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number kernel objects supported.  <a href="group__group__tivx__obj__cfg.html#gab6578bf00139abafd71b1efe04bfe904"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga732e4fea12fd457f6ad3cdee542c2a11">TIVX_ARRAY_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number array objects supported.  <a href="group__group__tivx__obj__cfg.html#ga732e4fea12fd457f6ad3cdee542c2a11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gae2b7782852a2e83e506b3d995dee7a67">TIVX_CONVOLUTION_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number convolution objects supported.  <a href="group__group__tivx__obj__cfg.html#gae2b7782852a2e83e506b3d995dee7a67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gaa203c9efa0d3d12a6ebe2876533bde30">TIVX_DELAY_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number delay objects supported.  <a href="group__group__tivx__obj__cfg.html#gaa203c9efa0d3d12a6ebe2876533bde30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga02ea4b092003272d24cdc3ac81ab1d74">TIVX_DISTRIBUTION_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number distribution objects supported.  <a href="group__group__tivx__obj__cfg.html#ga02ea4b092003272d24cdc3ac81ab1d74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga0e7d11cb94d9bd8cd7b9c53317b5e6ff">TIVX_IMAGE_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(384u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number image objects supported.  <a href="group__group__tivx__obj__cfg.html#ga0e7d11cb94d9bd8cd7b9c53317b5e6ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga5da5a4c3678b7693c7b0f7e45eb649be">TIVX_LUT_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number lut objects supported.  <a href="group__group__tivx__obj__cfg.html#ga5da5a4c3678b7693c7b0f7e45eb649be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga99cf2af519d45421e148d69f98ea5708">TIVX_MATRIX_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number matrix objects supported.  <a href="group__group__tivx__obj__cfg.html#ga99cf2af519d45421e148d69f98ea5708"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gaaf05021d4ce29266be1968c41433f57f">TIVX_PYRAMID_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number pyramid objects supported.  <a href="group__group__tivx__obj__cfg.html#gaaf05021d4ce29266be1968c41433f57f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gada37f62ca1c0f1550e9480863eeefb7e">TIVX_REMAP_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number remap objects supported.  <a href="group__group__tivx__obj__cfg.html#gada37f62ca1c0f1550e9480863eeefb7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga9e110e9e54f454873a220d4d8dff20f2">TIVX_SCALAR_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number scalar objects supported.  <a href="group__group__tivx__obj__cfg.html#ga9e110e9e54f454873a220d4d8dff20f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga8f194fb4275f05c241b790f441bd0eb5">TIVX_THRESHOLD_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number threshold objects supported.  <a href="group__group__tivx__obj__cfg.html#ga8f194fb4275f05c241b790f441bd0eb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#gad21f56b7fadec585969ec23c4c3896be">TIVX_ERROR_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(30u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number error objects supported.  <a href="group__group__tivx__obj__cfg.html#gad21f56b7fadec585969ec23c4c3896be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga4571f23aebfffaf044dff626db230c56">TIVX_OBJ_ARRAY_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number object arrays supported.  <a href="group__group__tivx__obj__cfg.html#ga4571f23aebfffaf044dff626db230c56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__cfg.html#ga8ba61e21b0aba3731813712668e5d6be">TIVX_PARAMETER_MAX_OBJECTS</a>&nbsp;&nbsp;&nbsp;(48u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number parameter objects supported.  <a href="group__group__tivx__obj__cfg.html#ga8ba61e21b0aba3731813712668e5d6be"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj.html#ga96caebfc056a0fe986f6128a029bf6f1">tivxObjectAlloc</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> reftype)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alloc memory for a reference of specified type.  <a href="group__group__tivx__obj.html#ga96caebfc056a0fe986f6128a029bf6f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj.html#ga1be84ea7073fcc2460c5ad758ce8f753">tivxObjectFree</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free memory for a reference.  <a href="group__group__tivx__obj.html#ga1be84ea7073fcc2460c5ad758ce8f753"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj.html#ga10e04c49c62a5e0e8608db9d9085c409">tivxObjectInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialize object module.  <a href="group__group__tivx__obj.html#ga10e04c49c62a5e0e8608db9d9085c409"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj.html#ga69229b3e9b115ee370fb290028516363">tivxObjectDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">De-Initialize object module.  <a href="group__group__tivx__obj.html#ga69229b3e9b115ee370fb290028516363"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
